<?php
namespace E_connector_For_Woocommerce;
/**
 * Registers new REST API endpoints.
 */
class Endpoints implements Hookable {
    
    /**
     * Registers hooks
     */
    public function register_hooks(){
        add_filter( 'woocommerce_rest_api_get_rest_namespaces', array( $this, 'register_controllers' ) );
    }

    function register_controllers( $controllers ) {
        require_once E_CONNECTOR_FOR_WOOCOMMERCE_PATH . 'inc/class-wc-rest-uploads-controller.php';
        require_once E_CONNECTOR_FOR_WOOCOMMERCE_PATH . 'inc/class-wc-rest-documents-controller.php';
        require_once E_CONNECTOR_FOR_WOOCOMMERCE_PATH . 'inc/class-wc-rest-db-controller.php';
        $controllers['wc/econnector/v1']['documents'] = 'E_connector_For_Woocommerce\WC_REST_Documents_Controller';
        $controllers['wc/econnector/v1']['db']        = 'E_connector_For_Woocommerce\WC_REST_DB_Controller';
        return $controllers;
    }
}