# Vaisonet E-connecteur pour WooCommerce

Le logiciel E-connecteur de Vaisonet vous permet de connecter votre logiciel de gestion commerciale compatible (EBP, Sage 50, Sage 100, Wavesoft, QuadraFACT, etc.) à votre boutique en ligne WooCommerce.

La première étape est d'[activer l'API REST native de WooCommerce](/wp-admin/admin.php?page=wc-settings&tab=advanced&section=keys).

La deuxième étape est de [télécharger E-connecteur Lite pour WooCommerce](https://www.vaisonet.com/fr/e-connecteur-lite-covid-19.html).



Ce module permet d'ajouter quelques fonctionnalités utiles n'existant pas nativement dans WooCommerce, à savoir :

- envoyer un email avec le mot de passe de l'utilisateur s'il est créé automatiquement via E-connecteur à partir de la gestion commerciale (nécessite E-connecteur B2B),
- créer un espace documentaire dans le compte client contenant les documents de vente, comme les factures, les commandes, les devis provenant de votre logiciel de gestion commerciale (nécessite E-connecteur PRO).



Pour synchroniser votre logiciel de gestion commerciale, vous devez avoir le logiciel Vaisonet E-connecteur installé sur votre poste. L'édition LITE, gratuite, vous permet de synchroniser les produits du logiciel de gestion vers WooCommerce, dans la limite de 500 produits.

Vous avez besoin de plus de produit, d'assistance ou d'imports de commandes par exemple ? Les éditions premium standard, PRO et B2B sont disponibles sur www.vaisonet.com.

Pour tout besoin d'information complémentaire, connectez vous avec votre compte à notre portail d'assistance en ligne https://assistance.e-connecteur.fr/support/home.



